{
  "name": "frontend",
  "author": "softylines",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "test": "jest --watchAll --coverage",
    "dev": "vite --port 3001",
    "build": "tsc && vite build",
    "lint": "eslint src --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "format": "prettier --ignore-path .gitignore --write \"**/*.{ts,tsx,css,scss}\"",
    "prepare": "husky install",
    "generate-component": "ts-node cli.ts",
    "docker:build": "./scripts/build-docker.sh"
  },
  "dependencies": {
    "@ant-design/icons": "^5.3.0",
    "@casl/ability": "^6.5.0",
    "@fullcalendar/core": "^6.1.11",
    "@fullcalendar/daygrid": "^6.1.11",
    "@fullcalendar/react": "^6.1.11",
    "@react-oauth/google": "^0.12.1",
    "@reduxjs/toolkit": "^1.9.5",
    "@supabase/supabase-js": "^2.39.6",
    "@tanstack/react-query": "^5.25.0",
    "accessible-nprogress": "^2.1.2",
    "antd": "^5.14.1",
    "axios": "^1.4.0",
    "browserify-fs": "^1.0.0",
    "clipboard": "^2.0.11",
    "commander": "^12.0.0",
    "date-fns": "^2.30.0",
    "formik": "^2.4.2",
    "fs-extra": "^11.1.1",
    "html2canvas": "^1.4.1",
    "husky": "^8.0.3",
    "i18next": "^23.1.0",
    "i18next-browser-languagedetector": "^7.0.2",
    "i18next-http-backend": "^2.2.1",
    "jwt-decode": "^3.1.2",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-helmet-async": "^2.0.3",
    "react-hot-toast": "^2.4.1",
    "react-i18next": "^13.0.0",
    "react-icons": "^5.0.1",
    "react-redux": "^8.0.7",
    "react-router-dom": "^6.12.0",
    "sass": "^1.62.1",
    "socket.io-client": "^4.7.5",
    "yup": "^1.2.0"
  },
  "devDependencies": {
    "@types/fs-extra": "^11.0.4",
    "@types/node": "^20.2.5",
    "@types/react": "^18.0.37",
    "@types/react-dom": "^18.0.11",
    "@typescript-eslint/eslint-plugin": "^5.59.0",
    "@typescript-eslint/parser": "^5.59.0",
    "@vitejs/plugin-react": "^4.0.0",
    "eslint": "^8.38.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.3.4",
    "prettier": "3.0.0",
    "typescript": "^5.0.2",
    "vite": "^4.3.9",
    "vite-plugin-svgr": "^3.2.0"
  }
}
